{"openapi":"3.1.0","info":{"title":"Imobzi REST API","description":"# Introduction\nImobzi provides a web programming interface, in the REST model. Through this interface, you can talk to the Imobzi Application, commanding actions and synchronizing with your applications.\n\nThe base communication address is api.imobzi.app, always followed by the secure protocol https:// as a prefix. API versions are grouped by directory, suffixed to the base address (https://api.imobzi.app/v1).\n\nThis document covers the version of API 1.0. The address to communicate through this release is:\n\n```\nhttps://api.imobzi.app/v1/\n```\n\n# Authentication\n\n  Authentication on Imobzi is done through the use of a secret key. This key is for the Imobzi API to identify your account, and grant permissions for an Application to communicate with Imobzi.\n\n\n\n## Creating your Secret Key\nCreate your secret key by following the steps below. You must have administrator access.\n\n<ol>\n\t<li>Access Imobzi at <a href=\"https://my.imobzi.com\">https://my.imobzi.com</a> or if you are already logged in <a href=\"https://my.imobzi.com/#/integrations\">click here</a>.</li>\n\t<li>Click the 'Integrations and Automations' menu. Now click in the 'API Keys' tab and click on the 'New' button and enter the name of the Application that will use the generated key. Copy the key and click 'Save'.</li>\n</ol>\n\n\n## Authentication Test\nAfter generating your key, if desired, test authentication with this command line in Curl:\n\n```curl\ncurl --request GET --url https://api.imobzi.app/v1/properties\n  --header 'X-Imobzi-Secret:34afddae1a7c11e9a10bab89456f8c3b'\n```\n\n## Sandbox\n\nCurrently the API does not have a Sandbox available for testing. We recommend that you carefully create, update and delete data.\n\n\n# Webhooks\nWebhooks allow your application to receive notifications when certain events occur. For example, when a new Contact is created, Imobzi will make a POST request to your URI endpoint letting you know information about the new Contact. You can create Webhooks through the API using the Webhooks creation method below.\n\nWebhooks are the recommended way to be notified about creating, changing, and removing a record in Imobzi, as they are easier to integrate with your application and scale perfectly with your growth.\n\n<h2>Delivery attempts</h2>\n\nEvery time a record is created, updated and deleted, Imobzi will fire the created Webhook immediately. If the Status different from 20X returns, the Imobzi will fire this Webhook 5 more times, will be respectively in 10, 20, 40, 80, 160 minutes.\n\n<h2>Notification format</h2>\n\nThe Webhook endpoint will receive a POST request, containing a JSON object encoded in UTF-8. This object usually contains the complete record, avoiding a request to obtain the rest of the data. The format of the JSON object can be obtained at the first Webhook request.\n\n<h2>List of available Webhooks</h2>\n\n<table>\n\t<thead>\n\t\t<tr>\n\t\t\t<th style=\"text-align: center;\">Event</th>\n\t\t\t<th style=\"text-align: left;\">Description</th>\n\t\t</tr>\n\t</thead>\n\t<tbody>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">deal_created</td>\n\t\t\t<td style=\"text-align: left;\">When a new deal is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">deal_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a deal is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">deal_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a deal is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">document_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Document is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">document_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Document is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">document_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Document is Deleted</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">lead_created</td>\n\t\t\t<td style=\"text-align: left;\">When a new Lead is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">lead_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Lead is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">lead_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Lead is Deleted</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">contact_created</td>\n\t\t\t<td style=\"text-align: left;\">When a new Person/Organization is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">contact_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Person/Organization is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">contact_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Person/Organization is Deleted</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_created</td>\n\t\t\t<td style=\"text-align: left;\">When a new Property is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Property is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Property is Deleted</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_reserve_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Property Reserve is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_reserve_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Property Reserve is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">property_reserve_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Property Reserve is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">pipeline_group_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Pipeline Group is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">calendar_item_created</td>\n\t\t\t<td style=\"text-align: left;\">When a new Item Calendar is Created</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">calendar_item_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Item Calendar is Updated</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">calendar_item_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Item Calendar is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">lease_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Lease is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">lease_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Lease is Updated</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">lease_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Lease is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">contract_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Contract is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">contract_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Contract is Updated</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">contract_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Contract is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">invoice_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Invoice is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">invoice_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Invoice is Updated</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">financial_transaction_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Financial Transaction is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">financial_transaction_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Financial Transaction is Updated</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">financial_transaction_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Financial Transaction is Deleted</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">analysis_created</td>\n\t\t\t<td style=\"text-align: left;\">When a Analysis is Created</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">analysis_updated</td>\n\t\t\t<td style=\"text-align: left;\">When a Analysis is Updated</td>\n\t\t</tr>\n        <tr>\n\t\t\t<td style=\"text-align: left;\">analysis_deleted</td>\n\t\t\t<td style=\"text-align: left;\">When a Analysis is Deleted</td>\n\t\t</tr>\n\t</tbody>\n</table>\n\n# Pagination\nThe first time a list request is executed, the API will generally return 50 records and the cursor to the next 50 records that must be sent on the next request using the cursor parameter.\n\nThe number of records returned per request varies according to the method to be consumed.\n\nThe cursor parameter is optional and should not be sent on the first request.\n\n# Rate limiting\nImobzi has some different rate limits to ensure that any client can not affect the performance of our API by making too many requests too quickly.\n\n<table>\n\t<thead>\n\t\t<tr>\n\t\t\t<th style=\"text-align: center;\">Scope</th>\n\t\t\t<th style=\"text-align: left;\">Rate-limit</th>\n\t\t</tr>\n\t</thead>\n\t<tbody>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">Application</td>\n\t\t\t<td style=\"text-align: left;\">120 requests per minute</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"text-align: left;\">Account</td>\n\t\t\t<td style=\"text-align: left;\">300 requests per minute</td>\n\t\t</tr>\n\t</tbody>\n</table>\n\n<h2>Timeout Limit</h2>\nIf a request does not complete within 60 seconds, the request times out and Imobzi returns a Gateway Timeout error.","termsOfService":"https://www.imobzi.com/termos-de-uso-imobzi-versao-4.pdf","contact":{"name":"Imobzi API Support","url":"https://www.imobzi.com/"},"license":{"name":"Imobzi","url":"https://www.imobzi.com/"},"version":"1.0.0","x-logo":{"url":"https://api.imobzi.app/static/images/logotipo-imobzi-developer.svg"}},"servers":[{"url":"https://api.imobzi.app","description":"Live Server"}],"paths":{"/v1/contacts":{"get":{"tags":["Contacts and Leads"],"summary":"Retrieve A List Of Contacts","description":"Show list to contacts","operationId":"prod_get_contacts_list","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Cursor received in the previous request","title":"Cursor"},"description":"Cursor received in the previous request"},{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"enum":[null,"contact","lead","person","organization","all"]},{"type":"null"}],"title":"Contact Type"}},{"name":"media_source","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Origin of the contact, such as website, name of an advertising portal","title":"Media Source"},"description":"Origin of the contact, such as website, name of an advertising portal"},{"name":"order","in":"query","required":false,"schema":{"anyOf":[{"enum":["recently_updated","recently_created","desc",null]},{"type":"null"}],"title":"Order"}},{"name":"smart_list","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","my_contacts","my_leads","birthdays_all","birthdays_only_mine","without_deals","with_deals","shared_with_me","shared_with_others","out_of_date","new_contacts","new_leads","pending","inactives","without_interest","out_of_date_90_days",null]},{"type":"null"}],"description":"Predefined smart lists for filtering contacts ex: all, my_contacts, birthdays_all, without_deals, shared_with_me, out_of_date, new_contacts, pending, inactives","title":"Smart List"},"description":"Predefined smart lists for filtering contacts ex: all, my_contacts, birthdays_all, without_deals, shared_with_me, out_of_date, new_contacts, pending, inactives"},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Labels associated with the contact, such as owner, contact, lead, etc","title":"Tags"},"description":"Labels associated with the contact, such as owner, contact, lead, etc"},{"name":"clear_notifications","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Clear Notifications"}},{"name":"inactive","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Inactive"}},{"name":"manager_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Manager Id"}},{"name":"search_text","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Text"}},{"name":"search_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Type"}},{"name":"cursor_current_page","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Cursor Current Page"}},{"name":"search_date","in":"query","required":false,"schema":{"anyOf":[{"enum":["created_at","updated_at"],"type":"string"},{"type":"null"}],"title":"Search Date"}},{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End Date"}},{"name":"filter_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Filter By"}},{"name":"review_pending","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Review Pending"}},{"name":"birthdays_start","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Birthdays Start"}},{"name":"birthdays_end","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Birthdays End"}},{"name":"show_map","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Show Map"}},{"name":"lat","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lat"}},{"name":"lng","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lng"}},{"name":"radius","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Radius"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseContact"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/contacts/profile-picture":{"get":{"tags":["Contacts and Leads"],"summary":"Retrieve Contact Profile Picture By Email","description":"Retrieve contact profile picture by email","operationId":"Retrieve_contact_profile_picture_by_email_v1_contacts_profile_picture_get","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string","title":"Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Retrieve Contact Profile Picture By Email V1 Contacts Profile Picture Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/contacts/search":{"get":{"tags":["Contacts and Leads"],"summary":"Retrieve A Search List Of Contacts","description":"Search Contacts in the index","operationId":"prod_get_contacts_list_by_search","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Cursor received in the previous request","title":"Cursor"},"description":"Cursor received in the previous request"},{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"enum":[null,"contact","lead","person","organization","all"]},{"type":"null"}],"title":"Contact Type"}},{"name":"media_source","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Origin of the contact, such as website, name of an advertising portal","title":"Media Source"},"description":"Origin of the contact, such as website, name of an advertising portal"},{"name":"order","in":"query","required":false,"schema":{"anyOf":[{"enum":["recently_updated","recently_created","desc",null]},{"type":"null"}],"title":"Order"}},{"name":"smart_list","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","my_contacts","my_leads","birthdays_all","birthdays_only_mine","without_deals","with_deals","shared_with_me","shared_with_others","out_of_date","new_contacts","new_leads","pending","inactives","without_interest","out_of_date_90_days",null]},{"type":"null"}],"description":"Predefined smart lists for filtering contacts ex: all, my_contacts, birthdays_all, without_deals, shared_with_me, out_of_date, new_contacts, pending, inactives","title":"Smart List"},"description":"Predefined smart lists for filtering contacts ex: all, my_contacts, birthdays_all, without_deals, shared_with_me, out_of_date, new_contacts, pending, inactives"},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Labels associated with the contact, such as owner, contact, lead, etc","title":"Tags"},"description":"Labels associated with the contact, such as owner, contact, lead, etc"},{"name":"clear_notifications","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Clear Notifications"}},{"name":"inactive","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Inactive"}},{"name":"manager_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Manager Id"}},{"name":"search_text","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Text"}},{"name":"search_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Type"}},{"name":"cursor_current_page","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Cursor Current Page"}},{"name":"search_date","in":"query","required":false,"schema":{"anyOf":[{"enum":["created_at","updated_at"],"type":"string"},{"type":"null"}],"title":"Search Date"}},{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End Date"}},{"name":"filter_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Filter By"}},{"name":"review_pending","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Review Pending"}},{"name":"birthdays_start","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Birthdays Start"}},{"name":"birthdays_end","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Birthdays End"}},{"name":"show_map","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Show Map"}},{"name":"lat","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lat"}},{"name":"lng","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lng"}},{"name":"radius","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Radius"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseContact"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/contact/exists":{"get":{"tags":["Contacts and Leads"],"summary":"Check If Contact Exists","description":"Get contact by email, cpf, cnpj or phone_number","operationId":"prod_get_contact_exists","parameters":[{"name":"email","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"}},{"name":"phone_number","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number"}},{"name":"cpf","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cpf"}},{"name":"cnpj","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cnpj"}},{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseContactExists"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/contacts/tags":{"get":{"tags":["Contacts Tags"],"summary":"Retrieve A List Of Contact Tag","operationId":"prod_get_contact_tags","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ContactTagSchema"},"type":"array","title":"Response Prod Get Contact Tags"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Contacts Tags"],"summary":"Create A Contact Tag","operationId":"prod_create_contact_tag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactTagPostSchema"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseContactTagSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/contact/tags/{tag_id}":{"get":{"tags":["Contacts Tags"],"summary":"Retrieve A Contact Tag","operationId":"prod_get_contact_tag","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","title":"Tag Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactTagSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Contacts Tags"],"summary":"Update A Contact Tag","operationId":"Update_a_contact_tag_v1_contact_tags__tag_id__post","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","title":"Tag Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactTagPostSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseContactTagSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Contacts Tags"],"summary":"Delete A Contact Tag","operationId":"Delete_a_contact_tag_v1_contact_tags__tag_id__delete","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","title":"Tag Id"}}],"responses":{"204":{"description":"Contact tag was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal-fields":{"get":{"tags":["Fields Deal"],"summary":"Retrieve A List Of Deal Fields","operationId":"Retrieve_a_list_of_deal_fields_v1_deal_fields_get","parameters":[{"name":"pipelines_group_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Pipelines Group Id"}},{"name":"deal_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deal Id"}},{"name":"with_inactives","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"With Inactives"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DealsFieldsSchemas"},"title":"Response Retrieve A List Of Deal Fields V1 Deal Fields Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Fields Deal"],"summary":"Create A Deal Field","operationId":"Create_a_deal_field_v1_deal_fields_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealsFieldsCreateSchemas"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDealField"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal-field/{field_id}":{"get":{"tags":["Fields Deal"],"summary":"Retrieve A Deal Field","operationId":"Retrieve_a_deal_field_v1_deal_field__field_id__get","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"type":"string","title":"Field Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealsFieldsSchemas"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Fields Deal"],"summary":"Update A Deal Field","operationId":"Update_a_deal_field_v1_deal_field__field_id__post","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"type":"string","title":"Field Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealsFieldsUpdateSchemas"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDealField"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Fields Deal"],"summary":"Delete A Deal Field","operationId":"Delete_a_deal_field_v1_deal_field__field_id__delete","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"anyOf":[{"type":"integer"},{"type":"string"}],"title":"Field Id"}}],"responses":{"204":{"description":"Deal field was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/lost-reason":{"get":{"tags":["Deal Lost Reasons"],"summary":"Retrieve A List Of Deal Lost Reason","operationId":"prod_get_deal_lost_reasons","parameters":[{"name":"active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Active"}},{"name":"without_type","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Without Type"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DealLostReasonSchema"},"title":"Response Prod Get Deal Lost Reasons"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Deal Lost Reasons"],"summary":"Create A Deal Lost Reason","operationId":"prod_create_deal_lost_reason","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealLostReasonPostSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDealLostReasonSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/lost-reason/{reason_id}":{"get":{"tags":["Deal Lost Reasons"],"summary":"Retrieve A Deal Lost Reason","operationId":"prod_get_deal_lost_reason","parameters":[{"name":"reason_id","in":"path","required":true,"schema":{"type":"string","title":"Reason Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealLostReasonSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Deal Lost Reasons"],"summary":"Update A Deal Lost Reason","operationId":"Update_a_deal_lost_reason_v1_deal_lost_reason__reason_id__post","parameters":[{"name":"reason_id","in":"path","required":true,"schema":{"type":"string","title":"Reason Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealLostReasonPostSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDealLostReasonSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Deal Lost Reasons"],"summary":"Update A Deal Lost Reason","operationId":"Update_a_deal_lost_reason_v1_deal_lost_reason__reason_id__delete","parameters":[{"name":"reason_id","in":"path","required":true,"schema":{"type":"string","title":"Reason Id"}}],"responses":{"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/filter-fields":{"get":{"tags":["Deals Filters"],"summary":"Retrieve A List Of Deal Filter Fields","operationId":"prod_get_deal_filter_fields","parameters":[{"name":"pipeline_group_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Pipeline Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResponseGetDealFilterFields"},"title":"Response Prod Get Deal Filter Fields"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/filters":{"post":{"tags":["Deals Filters"],"summary":"Create Deal Filters","operationId":"Create_Deal_filters_v1_deal_filters_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealFilterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/routers__schemas__deal_filter_fields__ResponsePostSchema"},"title":"Response Create Deal Filters V1 Deal Filters Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"get":{"tags":["Deals Filters"],"summary":"Retrieve A List Of Deal Filters","operationId":"prod_get_deal_filters","parameters":[{"name":"pipeline_group_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Pipeline Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResponseGetDealFiltersSchema"},"title":"Response Prod Get Deal Filters"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/filter/{filter_id}":{"post":{"tags":["Deals Filters"],"summary":"Update A Deal Filter","operationId":"Update_a_Deal_filter_v1_deal_filter__filter_id__post","parameters":[{"name":"filter_id","in":"path","required":true,"schema":{"type":"string","title":"Filter Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealFilterUpdateSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/routers__schemas__deal_filter_fields__ResponsePostSchema"},"title":"Response Update A Deal Filter V1 Deal Filter  Filter Id  Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Deals Filters"],"summary":"Delete A Deal Filter","operationId":"Delete_a_Deal_filter_v1_deal_filter__filter_id__delete","parameters":[{"name":"filter_id","in":"path","required":true,"schema":{"type":"string","title":"Filter Id"}}],"responses":{"204":{"description":"Deal filter was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/range-areas":{"get":{"tags":["Deals"],"summary":"Get Deal Range Areas","description":"Return min and max useful area of deals","operationId":"prod_get_deal_range_areas","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/range-values":{"get":{"tags":["Deals"],"summary":"Get Deal Range Values","description":"Return min and max value of deals","operationId":"prod_get_deal_range_values","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deals/search":{"get":{"tags":["Deals"],"summary":"Retrieve A List Of Deals By Search","description":"Search deals by contact or profile","operationId":"prod_get_deals_search","parameters":[{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"enum":["lead","person","organization","user","newContact",null]},{"type":"null"}],"title":"Contact Type"}},{"name":"deal_stage","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Deal Stage"}},{"name":"contact_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Contact Id"}},{"name":"value","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Value"}},{"name":"initial_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Initial Date"}},{"name":"interest","in":"query","required":false,"schema":{"anyOf":[{"enum":["buy","rent","vacation_rental",null]},{"type":"null"}],"title":"Interest"}},{"name":"final_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Final Date"}},{"name":"finality","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","commercial","residential","rural",null]},{"type":"null"}],"title":"Finality"}},{"name":"max_area","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Max Area"}},{"name":"max_value","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Max Value"}},{"name":"min_area","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Min Area"}},{"name":"min_value","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Min Value"}},{"name":"measure_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Measure Type"}},{"name":"neighborhood","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Neighborhood"}},{"name":"pipeline_type","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","default","others","cards",null]},{"type":"null"}],"title":"Pipeline Type"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"}},{"name":"bathroom","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Bathroom"}},{"name":"bedroom","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Bedroom"}},{"name":"garage","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Garage"}},{"name":"suite","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Suite"}},{"name":"search_text","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Text"}},{"name":"namespace","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Namespace"}},{"name":"deals_network","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Deals Network"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"stage","in":"query","required":false,"schema":{"anyOf":[{"enum":["","pre_launch","launch","in_construction","ready",null]},{"type":"null"}],"title":"Stage"}},{"name":"show_activities","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Show Activities"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","win","lost","stagnant","out_of_date","in progress",null]},{"type":"null"}],"title":"Status"}},{"name":"search_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Type"}},{"name":"with_participant","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"With Participant"}},{"name":"city","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"City"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/reports/deals-done":{"get":{"tags":["Deals","Reports"],"summary":"Get Deals Done","description":"'Get Deals Done","operationId":"prod_get_deals_done","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deals":{"get":{"tags":["Deals"],"summary":"Retrieve A Deal List","description":"Get Deal's list","operationId":"prod_get_deals_list","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"deal_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deal Id"}},{"name":"cursor_page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Cursor Page"}},{"name":"deal_type","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","buy","rent","vacation_rental",null]},{"type":"null"}],"title":"Deal Type"}},{"name":"deal_status","in":"query","required":false,"schema":{"anyOf":[{"enum":["all","stagnant","in progress","out_of_date","win","lost","property_radar",null]},{"type":"null"}],"title":"Deal Status"}},{"name":"pipeline_group_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Pipeline Group Id"}},{"name":"user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"User Id"}},{"name":"only_new_properties","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Only New Properties"}},{"name":"property_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Property Id"}},{"name":"property_in","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Property In"}},{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Type"}},{"name":"contact_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"Contact Id"}},{"name":"search_text","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Text"}},{"name":"reserve_code","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reserve Code"}},{"name":"filter_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Filter Id"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Limit"}},{"name":"user_team","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"null"}],"title":"User Team"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDeal"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Deals"],"summary":"Create A New Deal","description":"Create a new deal","operationId":"prod_create_deals","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealsRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/deal/{deal_id}":{"get":{"tags":["Deals"],"summary":"Retrieve A Deal","description":"Get Deal","operationId":"prod_get_deal","parameters":[{"name":"deal_id","in":"path","required":true,"schema":{"type":"string","title":"Deal Id"}},{"name":"namespace","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Namespace"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Deals"],"summary":"Update A Deal","description":"Update Deal","operationId":"Update_a_Deal_v1_deal__deal_id__post","parameters":[{"name":"deal_id","in":"path","required":true,"schema":{"type":"string","title":"Deal Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DealRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Deals"],"summary":"Delete A Deal","description":"Delete deal","operationId":"Delete_a_Deal_v1_deal__deal_id__delete","parameters":[{"name":"deal_id","in":"path","required":true,"schema":{"type":"string","title":"Deal Id"}}],"responses":{"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/documents":{"get":{"tags":["Documents"],"summary":"Retrieve A List Of Documents","description":"Get list documents","operationId":"prod_get_documents_list","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"enum":[null,"all","draft","pending_safe_creation","waiting_signature","signed","canceled","file_save"]},{"type":"null"}],"title":"Status"}},{"name":"document_type","in":"query","required":false,"schema":{"anyOf":[{"enum":[null,"all","electronic_signature","face_to_face_signature","notify_signers","attach_file"]},{"type":"null"}],"title":"Document Type"}},{"name":"link_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Link Id"}},{"name":"link_type","in":"query","required":false,"schema":{"anyOf":[{"enum":[null,"all","contact","contract","deal","lease","property"]},{"type":"null"}],"title":"Link Type"}},{"name":"property_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Property Id"}},{"name":"building_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Building Id"}},{"name":"contact_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Contact Id"}},{"name":"contact_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contact Type"}},{"name":"start_at","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start At"}},{"name":"end_at","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End At"}},{"name":"reconcile","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Reconcile"}},{"name":"order","in":"query","required":false,"schema":{"anyOf":[{"enum":["recently_created","oldest_created"],"type":"string"},{"type":"null"}],"title":"Order"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDocuments"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Documents"],"summary":"Create A Document","description":"Create new document","operationId":"prod_create_documents","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseCreateDocument"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/document/{document_id}":{"get":{"tags":["Documents"],"summary":"Retrieve A Document By Id","description":"Get document","operationId":"prod_get_document","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentFieldsSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Documents"],"summary":"Update A Document","description":"Update document","operationId":"Update_a_document_v1_document__document_id__post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}},{"name":"reconcile","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Reconcile"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentUpdateRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseCreateDocument"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Documents"],"summary":"Delete A Document","description":"Delete document","operationId":"Delete_a_document_v1_document__document_id__delete","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}}],"responses":{"204":{"description":"Document was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/document/{document_id}/duplicate":{"post":{"tags":["Documents"],"summary":"Duplicate Document","description":"Duplicate document file","operationId":"Duplicate_document_v1_document__document_id__duplicate_post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","title":"Document Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseCreateDocument"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/documents/files":{"post":{"tags":["Documents"],"summary":"Add A File To The Document","description":"Save document file","operationId":"prod_create_document_files","parameters":[{"name":"document_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Id"}},{"name":"blob_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Blob Key"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_prod_create_document_files"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDocumentFile"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Documents"],"summary":"Delete A File To The Document","description":"Save document file","operationId":"Delete_a_file_to_the_document_v1_documents_files_delete","parameters":[{"name":"document_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Id"}},{"name":"blob_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Blob Key"}}],"responses":{"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/document-fee":{"get":{"tags":["Documents"],"summary":"Document Fee","description":"Get document fee","operationId":"prod_get_document_fee","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDocumentsFee"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/media-sources":{"get":{"tags":["Media Source"],"summary":"Retrieve A List Of Media Sources","operationId":"prod_get_media_sources_list","parameters":[{"name":"only-integrations","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Only-Integrations"}},{"name":"inactives","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Inactives"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MediaSourcesSchema"},"title":"Response Prod Get Media Sources List"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Media Source"],"summary":"Create A Media Source","operationId":"prod_create_media_source","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaSourceCreateSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseMediaSource"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/media-source/{mediasource_id}":{"get":{"tags":["Media Source"],"summary":"Retrieve A Media Source","operationId":"prod_get_media_source","parameters":[{"name":"mediasource_id","in":"path","required":true,"schema":{"type":"string","title":"Mediasource Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaSourcesSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Media Source"],"summary":"Update A Media Source","operationId":"Update_a_media_source_v1_media_source__mediasource_id__post","parameters":[{"name":"mediasource_id","in":"path","required":true,"schema":{"type":"string","title":"Mediasource Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaSourceUpdateSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseMediaSource"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Media Source"],"summary":"Delete A Media Source","operationId":"Delete_a_media_source_v1_media_source__mediasource_id__delete","parameters":[{"name":"mediasource_id","in":"path","required":true,"schema":{"type":"string","title":"Mediasource Id"}}],"responses":{"204":{"description":"Media source was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/media-sources-report":{"get":{"tags":["Media Source"],"summary":"Media Sources Report","operationId":"Media_Sources_Report_v1_media_sources_report_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/MediaSourcesReportSchema"},"type":"array","title":"Response Media Sources Report V1 Media Sources Report Get"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/neighborhoods":{"get":{"tags":["Neighborhoods"],"summary":"Retrieve A List Of Neighborhoods","operationId":"prod_get_neighborhoods_list","parameters":[{"name":"only_actives","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Only Actives"}},{"name":"search_text","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"","title":"Search Text"}},{"name":"city_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"","title":"City Name"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseGetNeighborhoods"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Neighborhoods"],"summary":"Create A Neighborhood","operationId":"prod_create_neighborhood","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NeighborhoodsRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NeighborhoodsFieldsSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/neighborhoods/{neighborhood_id}":{"get":{"tags":["Neighborhoods"],"summary":"Retrieve A Neighborhood By Id","operationId":"prod_get_neighborhood_by_id","parameters":[{"name":"neighborhood_id","in":"path","required":true,"schema":{"type":"string","title":"Neighborhood Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NeighborhoodsFieldsSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"post":{"tags":["Neighborhoods"],"summary":"Update A Neighborhood","operationId":"Update_a_neighborhood_v1_neighborhoods__neighborhood_id__post","parameters":[{"name":"neighborhood_id","in":"path","required":true,"schema":{"type":"string","title":"Neighborhood Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NeighborhoodRouterSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NeighborhoodsFieldsSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}},"delete":{"tags":["Neighborhoods"],"summary":"Delete A Neighborhood","operationId":"Delete_a_neighborhood_v1_neighborhoods__neighborhood_id__delete","parameters":[{"name":"neighborhood_id","in":"path","required":true,"schema":{"type":"string","title":"Neighborhood Id"}}],"responses":{"204":{"description":"Neighborhood was deleted"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Found","description":"Not Found"}}}}}}}}},"/v1/persons":{"post":{"tags":["Contacts and Leads"],"summary":"Create A Person","description":"Save new person","operationId":"prod_create_person","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonsRouterSchema"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseCreatePerson"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Bad request","description":"Bad request"}}}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not Authorized","description":"Not Authorized"}}}}}},"403":{"description":"Not permitted","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Not permitted","description":"Not permitted"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema
[...]
